%global momorel 1

Version: 3.2
Name: bash
Summary: The GNU Bourne Again shell (bash) version %{version}.
Release: %{momorel}m%{?dist}
Group: System Environment/Shells
License: GPL

%global md5_src0 00bfa16d58e034e3c2aa27f390390d30
%NoSource 0 ftp://ftp.gnu.org/gnu/bash/bash-%{version}.tar.gz %{md5_src0}
Source1: bashrc
%global md5_src1 0e904cb46ca873fcfa65df19b024bec9
%NoSource 2 ftp://ftp.gnu.org/gnu/bash/bash-doc-%{version}.tar.gz  %{md5_src1}

Source3: dot-bashrc
Source4: dot-bash_profile
Source5: dot-bash_logout
Source14: tab.dot.bashrc

# Official upstream patches
Patch1: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-001
Patch2: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-002
Patch3: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-003
Patch4: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-004
Patch5: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-005
Patch6: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-006
Patch7: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-007
Patch8: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-008
Patch9: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-009

# Other patches
Patch100: bash-2.03-paths.patch
Patch101: bash-2.02-security.patch
Patch102: bash-2.03-profile.patch
Patch103: bash-requires.patch
Patch107: bash-2.05a-interpreter.patch
Patch108: bash-2.05b-readline-oom.patch
Patch114: bash-2.05b-xcc.patch
Patch115: bash-2.05b-pgrp_sync.patch
Patch116: bash-2.05b-manso.patch
Patch117: bash-2.05b-debuginfo.patch
Patch118: bash-tty-tests.patch
Patch126: bash-setlocale.patch
Patch130: bash-infotags.patch
Patch131: bash-cond-rmatch.patch

PreReq: libtermcap
Requires: mktemp
Obsoletes: bash2 etcskel
Obsoletes: bash2-doc bash-doc
Provides: /bin/sh
Provides: /bin/bash
BuildRequires: texinfo bison
BuildPreReq: libtermcap-devel >= 2.0.8-38m
BuildRequires: ncurses-devel
BuildRequires: autoconf, gettext

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification. This
package (bash) contains bash version %{version}, which improves POSIX
compliance over previous versions.

%prep
%setup -q -a 2

# Official upstream patches
%patch1 -p0 -b .001
%patch2 -p0 -b .002
%patch3 -p0 -b .003
%patch4 -p0 -b .004
%patch5 -p0 -b .005
%patch6 -p0 -b .006
%patch7 -p0 -b .007
%patch8 -p0 -b .008
%patch9 -p0 -b .009

# Other patches
%patch100 -p1 -b .paths
%patch101 -p1 -b .security
%patch102 -p1 -b .profile
%patch103 -p1 -b .requires
%patch107 -p1 -b .interpreter
%patch108 -p1 -b .readline-oom
%patch114 -p1 -b .xcc
%patch115 -p1 -b .pgrp_sync
%patch116 -p1 -b .manso
%patch117 -p1 -b .debuginfo
%patch118 -p1 -b .tty-tests
%patch126 -p1 -b .setlocale
%patch130 -p1 -b .infotags
%patch131 -p1 -b .cond-rmatch

echo %{version} > _distribution
echo %{release} > _patchlevel

%build
autoconf
%configure --with-bash-malloc=no --with-afs
make "CPPFLAGS=-D_GNU_SOURCE `getconf LFS_CFLAGS`"
make check

%install
rm -rf $RPM_BUILD_ROOT

if [ -e autoconf ]; then
	# Yuck. We're using autoconf 2.1x.
	export PATH=.:$PATH
fi

# Fix bug #83776
perl -pi -e 's,bashref\.info,bash.info,' doc/bashref.info

%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc

# make manpages for bash builtins as per suggestion in DOC/README
pushd doc
sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages
for i in echo pwd test kill; do
  perl -pi -e "s,$i,,g" man.pages
  perl -pi -e "s,  , ,g" man.pages
done

install -c -m 644 builtins.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/builtins.1

for i in `cat man.pages` ; do
  echo .so man1/builtins.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/$i.1
  chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/$i.1
done
popd

# Link bash man page to sh so that man sh works.
ln -s bash.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/sh.1

# Not for printf (conflict with coreutils)
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/printf.1

pushd $RPM_BUILD_ROOT
mkdir ./bin
mv ./usr/bin/bash ./bin
ln -sf bash ./bin/sh
rm -f .%{_infodir}/dir
popd

mkdir -p %{buildroot}%{_sysconfdir}
install -c -m644 $RPM_SOURCE_DIR/bashrc %{buildroot}%{_sysconfdir}/bashrc

# for Momonga config-sample files
mkdir -p %{buildroot}%{_datadir}/config-sample/bash
install -c -m644 $RPM_SOURCE_DIR/dot-bashrc \
  %{buildroot}%{_datadir}/config-sample/bash/dot.bashrc
install -c -m644 $RPM_SOURCE_DIR/dot-bash_profile \
  %{buildroot}%{_datadir}/config-sample/bash/dot.bash_profile
install -c -m644 $RPM_SOURCE_DIR/dot-bash_logout \
  %{buildroot}%{_datadir}/config-sample/bash/dot.bash_logout
install -c -m644 $RPM_SOURCE_DIR/tab.dot.bashrc \
  %{buildroot}%{_datadir}/config-sample/bash/tab.bashrc
LONG_BIT=$(getconf LONG_BIT)
mv $RPM_BUILD_ROOT%{_bindir}/bashbug \
   $RPM_BUILD_ROOT%{_bindir}/bashbug-"${LONG_BIT}"

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in %{_infodir}/dir
# to prevent prereq loops

%post

HASBASH=""
HASSH=""

if [ ! -f /etc/shells ]; then
	> /etc/shells
fi

(while read line ; do
	if [ $line = /bin/bash ]; then
		HASBASH=1
	elif [ $line = /bin/sh ]; then
		HASSH=1
	fi
 done

 if [ -z "$HASBASH" ]; then
	echo "/bin/bash" >> /etc/shells
 fi
 if [ -z "$HASSH" ]; then
	echo "/bin/sh" >> /etc/shells
fi) < /etc/shells

%postun
if [ "$1" = 0 ]; then
    grep -v '^/bin/bash$' < /etc/shells | \
	grep -v '^/bin/sh$' > /etc/shells.new
    mv /etc/shells.new /etc/shells
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COMPAT NEWS NOTES POSIX
%doc doc/FAQ doc/INTRO doc/article.ms
%doc -P examples/bashdb/ examples/functions/ examples/misc/
%doc -P examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
%doc -P examples/startup-files/ examples/complete/ examples/loadables/
%config /%{_sysconfdir}/bashrc
%dir %{_datadir}/config-sample/bash
%{_datadir}/config-sample/bash/*
/bin/sh
/bin/bash
%attr(0755,root,root) %{_bindir}/bashbug-*
%{_infodir}/bash.info*
%{_mandir}/*/*
%{_mandir}/*/..1*
%doc doc/*.ps doc/*.0 doc/*.html doc/article.txt

%changelog
* Sun Feb 04 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2-1m)
- merge from fc bash-3.2-4
- separate completion pacakge
- add bash32-001 .. bash32-009
- delete bash31-001 .. bash31-017
- update dot*bash* files
- delete inputrc
- delete unused sources
 - Patch105: bash-aq.patch
 - Patch106: bash-login.patch
 - Patch112: bash-ulimit.patch
 - Patch127: bash-sighandler.patch
 - Patch129: bash-read-memleak.patch
 - Patch1106: bash-brace.patch
 - Patch1107: bash-2.05a-shellfunc.patch
 - Patch1108: bash-3.1-ia64.patch
 - Patch1111: bash-2.05a-loadables.patch
 - Patch1117: bash-2.05b-mbinc.patch
 - Patch1150: bash-completion-configure.patch
 - Patch1151: bash-completion-tar2.patch
- add Patch130: bash-infotags.patch
- add Patch131: bash-cond-rmatch.patch
- update Patch107: bash-2.05a-interpreter.patch
- revive bashbug-*
-
- fc changelog is below
- * Tue Jan 23 2007 Tim Waugh <twaugh@redhat.com> 3.2-4
- - Slightly better .bash_logout (bug #223960).
-
- * Fri Jan 19 2007 Tim Waugh <twaugh@redhat.com> 3.2-3
- - Back out rmatch change introduced in 3.2 (bug #220087).
- 
- * Tue Jan 16 2007 Miroslav Lichvar <mlichvar@redhat.com> 3.2-2
- - Link with ncurses.
- 
- * Fri Dec 15 2006 Tim Waugh <twaugh@redhat.com> 3.2-1
- - Build requires autoconf and gettext.
- - 3.2.  No longer need aq, login, ulimit, sighandler or read-memleak
-   patches.

* Sun Jul 13 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-1m)
- update to 3.1
- delete /bin/bash2 from files and make symlink for bash2
- renumber patches <1-99> +100
- delete included Patch102: bash-fixes.patch
- delete included Patch104: bash-array.patch
- arrange Patch108: bash-3.1-ia64.patch
- delete included Patch109: bash-multilinePS1.patch
- delete Patch110: bash-changechar.patch
- delete Patch112: bash-2.05a-interpreter.patch
- delete included Patch113: bash-arrayvar.patch
- delete confilcts Patch114: bash-trap.patch
- delete included Patch116: bash-2.05b-utf8.patch
- delete included Patch118: bash-pipefail.patch
- delete Patch119: bash-multibyteifs.patch
- delete included Patch120: bash-history.patch
- delete included Patch121: bash-ulimit.patch
- delete Patch126: bash-2.05b-xcc.patch
- delete Patch128: bash-jobs.patch
- delete Patch142: bash-sigpipe.patch
- update Source3 to http://www.caliban.org/files/bash/bash-completion-20060301.tar.bz2
  and no NoSource
- update Patch151: bash-completion-tar2.patch for new bash-completion patch
- renumber Patch103 -> Patch102: bash-2.03-profile.patch
- add Patch103: bash-requires.patch from FC
  and delete Patch105: bash-2.05a-requires.patch
- add Patch105: bash-aq.patch from FC
- renumber Patch130: -> Patch116: bash-2.05b-manso.patch
- renumber Patch131: -> Patch117: bash-2.05b-debuginfo.patch
- renumber Patch127: -> Patch115: bash-2.05b-pgrp_sync.patch
- add Patch106: bash-login.patch
- update Patch107: bash-2.05a-interpreter.patch
- renumber Patch115: -> Patch108: bash-2.05b-readline-oom.patch
- update Patch112: bash-ulimit.patch
- update Patch114: bash-2.05b-xcc.patch
- add patches below from FC
  Patch118: bash-tty-tests.patch
  Patch126: bash-setlocale.patch
  Patch127: bash-sighandler.patch
  Patch129: bash-read-memleak.patch
- renumber againt +1000
  Patch106: bash-brace.patch
  Patch107: bash-2.05a-shellfunc.patch
  Patch108: bash-3.1-ia64.patch
  Patch111: bash-2.05a-loadables.patch
  Patch117: bash-2.05b-mbinc.patch
  Patch150: bash-completion-configure.patch
  Patch151: bash-completion-tar2.patch

* Tue Apr 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0-4m)
- change bashrc for use bash_completion (bts#113)

* Wed Mar 16 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0-3m)
- applied bash-jobs.patch from FC3.

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0-2m)
- rebuild against libtermcap-2.0.8-38m.

* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0-1m)
- version up

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.05b-21m)
- revised docdir permission

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org.
- (2.05b-20m)
- enable x86_64.
- run-jobs and run-trap is neber ending check on x86_64...

* Fri Oct 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.05b-19m)
- remove patch18.
- add BuildConflicts: glibc-devel = 2.3.3-(1|2)m.

* Wed Oct 20 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.05b-18m)
- add patch18 fot gcc 3.4??

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-17m)
- update Patch50: bash-completion-configure.patch
- update Patch51: bash-completion-tar.patch

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-16m)
- update bash_completion_ver to 20041017
- add --with-bash-malloc=no at configure
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Sat Jul 31 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-15m)
- update Source14: tab.dot.bashrc

* Tue May 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.05b-14m)
- add patch 17 ([debian-devel:15370] bash initialization is wrong.)

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.05b-13m)
- revised spec for enabling rpm 4.2.

* Sat Dec 20 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-12m)
- set prompt for screen in dot-bashrc
- update bash-completion to 20031215

* Thu Nov 06 2003 Kenta MURATA <muraken2@nifty.com>
- (2.05b-11m)
- add DISABLE_BASH_COMPLETION in %%{_sysconfdir}/bashrc.

* Fri Oct 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-10m)
- renumber source
- rename dot files in config-sample dot-* => dot.*
- delete define prefix, why used this?
- update bashcompletion patch to 20031022

* Wed Aug 27 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-9m)
- revise dot-inputrc

* Wed Aug 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-8m)
- import official patches for 2.05b
- update bashcompletion patch to 20030821
- change my e-mail address from uomaster@nifty.com to zaki@zakky.org
- remove bash-2.05b-complete.patch. this bug is fixed by official patch

* Fri Mar 21 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-7m)
- bash_completion: tar *x*f: include *.tar.bz2 *.tbz *.tb2 *.tbz2

* Sun Mar 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-6m)
- autoconf before configure
- fix bashrc(by kaz)

* Sun Mar 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-5m)
- source /etc/bash_completion from /etc/bashrc if interactive shell

* Sun Mar 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-4m)
- update bash-completion to 20030227
- install bash-completion files to /etc (should be %%config?)

* Sat Nov 16 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (2.05b-3m)
- add bash-2.05b-avoid-loop.patch

* Fri Aug 02 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (2.05b-2m)
- add bash-2.05b-complete.patch
- this patch fixes a problem when do completion. 
  ex) '../[TAB]'

* Fri Jul 26 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (2.05b-1m)
- up to 2.05b
- sync with rawhide (2.05b-1)
- add bash-2.05b-strpbrk.patch for more i18n support.
- add BuildPrereq: libtermcap-devel

* Sun May 9 2002 Toru Hoshina <t@kondara.org>
- (2.0.5-34k)
- revised bashrc.

* Wed May  1 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.5-32k)
- add PreReq: libtermcap

* Tue Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.5-30k)
- Provides: /bin/bash

* Mon Apr 29 2002 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-28k)
- update i18n patch (readline 0.4)

* Mon Apr 29 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.5-26k)
- Provides: /bin/sh

* Sun Jan 20 2002 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-24k)
- i18n patch (up to bash 0.5 readline 0.3)
- my patches included in it

* Wed Jan 16 2002 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-22k)
- fix segfault when use Ctrl(t) with some locales

* Tue Dec 11 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-20k)
- modify i18n patch (TT)

* Mon Dec 10 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.0.5-18k)
- add tab.dot.bashrc

* Mon Dec 10 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-16k)
- modify i18n-diff.patch

* Sun Dec 09 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-14k)
- re-enabled i18n patch
- added bash-i18n-diff.patch
- and re-added Source6 Source7 (still needed)

* Fri Nov 30 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.5-12k)
- remove i18n patch

* Mon Nov 12 2001 Motonobu Ichimura <famao@kondara.org>
- (2.05-8k)
- add %dir %{_datadir}/config-sample/bash

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (2.05-6k)
- dot files located properly.

* Thu Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (2.05-4k)
- added IBM's I18n patches for bash-2.05
- '

* Mon Oct 22 2001 Toru Hoshina <t@kondara.org>
- (2.05-2k)
- version up. no more etcskel.

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Sun Aug 26 2001 Toru Hoshina <t@kondara.org>
- (2.04-28k)
- add kterm entry to /etc/bashrc...

* Mon May  7 2001 Akira Higuchi <a@kondara.org>
- (2.04-26k)
- removed IBM patches and re-enabled patch #6.

* Sun Mar 18 2001 Toru Hoshina <toru@df-usa.com>
- (2.04-24k)
- add IBM's I18n patches.
- turned off prereq grep.

* Sun Feb 18 2001 Kenichi Matsubara <m@kondara.org>
- (2.04-22k)
- backport 2.04-23k(Jirai).

* Sun Feb 18 2001 Kenichi Matsubara <m@kondara.org>
- (2.04-23k)
- Obsoletes bash2-doc.

* Thu Feb  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.04-21k)
- added '%post' (#854)

* Tue Jan 30 2001 Kenichi Matsubara <m@kondara.org>
- (2.04-19k)
- bugfix %files section.

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.04-17k)
- modified to use %{_mandir} and %{_infodir} macro

* Tue Nov  7 2000 Toru Hoshina <toru@df-usa.com>
- Obsolete bash and replace bas with bash2.

* Wed Oct 25 2000 Kenichi Matsubara <m@kondara.org>
- remove create man.pages file section.
- modified %files section.

* Tue Aug 22 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS).
- Obsolete jman files.

* Mon Aug 14 2000 Akira Higuchi <a@kondara.org>
- some changes in readline patch

* Tue Aug 01 2000 Akira Higuchi <a@kondara.org>
- some changes in readline patch

* Sun May 07 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- i18n lib/readline. 

* Sat May 06 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- now temporary change, del jp-patch and configure --with-installed-readilne

* Fri May 05 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- up tp 2.04 
- added jp-patch 

* Mon Apr 03 2000 TABUCHI Takaaki <tab@kondara.org>
- merge redhat-6.2 (2.0.3-8).

* Tue Mar  7 2000 Tenkou N. Hattori <tnh@kondara.org>
- add Prereq: grep.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add man-pages-ja-GNU_bash-20000115

* Sun Jan 22 2000 TABUCHI Takaaki <tab@kondara.org>
- be able to rebuild non-root user.

* Thu Dec  2 1999 Ken Estes <kestes@staff.mail.com>
- updated patch to detect what executables are required by a script.

* Wed Nov 24 1999 Tenkou N. Hattori <tnh@kondara.org>
- add man-pages-ja-GNU_bash-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Sep 14 1999 Dale Lovelace <dale@redhat.com>
- Remove annoying ^H's from documentation

* Fri Jul 16 1999 Ken Estes <kestes@staff.mail.com>
- patch to detect what executables are required by a script.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include bash-doc correctly.

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- fixed post/postun /etc/shells work.

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated again text in the spec file

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 2.03.

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- build it as bash2 instead of bash

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- set 'NON_INTERACTIVE_LOGIN_SHELLS' so profile gets read

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- rename man pages in bash-doc to avoid packaging conflicts (#606).

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- patch for the arm
- use $RPM_ARCH-redhat-linux as the build target

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- rewrite %pre, axe %postun (to avoid prereq loops)

* Wed Aug 19 1998 Jeff Johnson <jbj@redhat.com>
- resurrect for RH 6.0.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.02.1

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Package for 5.2.

* Mon Apr 20 1998 Ian Macdonald <ianmacd@xs4all.nl>
- added POSIX.NOTES doc file
- some extraneous doc files removed
- minor .spec file changes

* Sun Apr 19 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to version 2.02
- Alpha, MIPS & Sparc patches removed due to lack of test platforms
- glibc & signal patches no longer required
- added documentation subpackage (doc)

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
